{# @var user \Domain\User\Entity\User #}
{# @var form \Domain\User\Entity\UserPerformanceForm #}

<link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet" type="text/css">
<style>
    html {
        font-family: 'Roboto', sans-serif;
        font-size: 16px;
        zoom: 1.3;
    }

    h1 {
        padding: 5px;
    }

    ul {
        padding: 0;
        list-style-type: none;
        font-weight: normal;
    }

    li {
        margin-bottom: 5px;
    }

    table {
        border-collapse: collapse;
        border-spacing: 0;
        table-layout: fixed;
        page-break-inside: auto;
    }

    tr {
        page-break-inside: avoid;
        page-break-after: auto;
    }

    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }

    td {
        border: 1px solid lightgrey;
        height: auto;
        padding: 7px;
        line-height: 1.2;
        font-size: 10px;
        color: #323C47;
        word-break: normal;
    }

    .main-form {
        width: 100%;
    }

    .general-form,
    .questionnaire-form,
    .valuation-form {
        width: 100%;
    }

    .label {
        font-weight: bold;
    }

    .field {
        vertical-align: top;
    }

    .label-colored {
        background-color: #f7f7f7;
    }

    .text-center {
        text-align: center
    }

    .no-border {
        border: 0px solid transparent !important;
    }
</style>
<h3 style="text-align: center">
    {{ template['meta']['title'] }}
</h3>
<p style="text-align: center; font-size: 10px">
    {{ template['meta']['description'] }}
</p>

<table class="main-form">
    <tr>
        <td class="no-border">
            <!--- General Form --->
            <table class="general-form">
                <tr>
                    <td class="label">
                        Name
                    </td>
                    <td>
                        {{ form.employee.profile.fullName }}
                    </td>
                    <td class="label">
                        Date of form completion
                    </td>
                    <td>
                        {{ form.completionAt|date("d.m.Y") }}
                    </td>
                </tr>

                <tr>
                    <td class="label">Position</td>
                    <td>
                        {{ form.jobTitle.name }}
                    </td>
                    <td class="label">Evaluation Period Start</td>
                    <td>
                        {{ form.startAt|date("d.m.Y") }}
                    </td>
                </tr>

                <tr>
                    <td class="label">
                        Location
                    </td>
                    <td>
                        {{ form.city.name }}
                    </td>
                    <td class="label">
                        Evaluation Period End
                    </td>
                    <td>
                        {{ form.endAt|date("d.m.Y") }}
                    </td>
                </tr>

                <tr>
                    <td class="label">Immediate Supervisor</td>
                    <td>
                        {{ form.supervisor.profile.fullName }}
                    </td>
                    <td class="label">Meeting Date</td>
                    <td>
                        {{ form.meetingAt|date("d.m.Y") }}
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="no-border">
            <!--- Questionnaire Form --->
            {% if template['questionnaire'] is defined %}
                <table class="questionnaire-form">
                    {% for questionnaire in template['questionnaire'] %}
                        <tr>
                            <td class="label label-colored">
                                {{ questionnaire['label'] }}
                            </td>
                        </tr>
                        <tr>
                            <td class="field">
                                {% if form.data['questionnaire'][questionnaire['name']] is defined %}
                                    {{ form.data['questionnaire'][questionnaire['name']] }}
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </table>
            {% endif %}

        </td>
    </tr>
    <tr>
        <td class="no-border">
            <!--- Valuation Form --->
            {% if template['valuation'] is defined %}
                <table class="valuation-form">
                    {% for key, valuations in template['valuation'] %}

                        {% if key == 'head' %}

                            <thead>
                            <tr>
                                {% for valuation in valuations %}
                                    {% for head in valuation %}
                                        {% if loop.first or loop.last %}
                                            <td rowspan="2" class="label label-colored text-center">{{ head['label'] }}</td>
                                        {% else %}
                                            <td class="label label-colored text-center">{{ head['label'] }}</td>
                                        {% endif %}
                                    {% endfor %}
                                {% endfor %}
                            </tr>
                            <tr>
                                <td class="text-center">Results clearly exceed most position requirements; consistent competent performance, including demanding situations or
                                    circumstances
                                </td>
                                <td class="text-center">Competent performance in most situations and circumstances</td>
                                <td class="text-center">Shows capability, but in a variable manner; improvement needed in key areas</td>
                            </tr>
                            </thead>
                        {% endif %}

                        {% if key == 'rows' %}

                            <tbody>
                            {% for rows in valuations %}
                                <tr>
                                    {% for row in rows %}

                                        <td class="label label-colored">
                                            {{ row['label'] }}

                                            {% if row['description'] is defined and row['description'] %}
                                                <ul>
                                                    {% for description in row['description'] %}
                                                        <li>
                                                            {{ description }}
                                                        </li>
                                                    {% endfor %}
                                                </ul>
                                            {% endif %}
                                        </td>
                                        {% for field in row['fields'] %}
                                            <td class="field">
                                                {% if(field['type'] == 'radio') %}
                                                    {% if form.data['valuation'][row['name']][field['name']] is defined %}
                                                        {% if field['input'] is defined AND form.data['valuation'][row['name']][field['name']] == field['input'] %}
                                                            +
                                                        {% endif %}
                                                    {% endif %}
                                                {% else %}
                                                    {% if form.data['valuation'][row['name']][field['name']] is defined %}
                                                        {{ form.data['valuation'][row['name']][field['name']] }}
                                                    {% endif %}
                                                {% endif %}
                                            </td>
                                        {% endfor %}

                                    {% endfor %}
                                </tr>
                            {% endfor %}
                            </tbody>

                        {% endif %}

                    {% endfor %}

                </table>
            {% endif %}
        </td>
    </tr>
</table>